package com.xmomen.module.job.model;

import java.io.Serializable;
import java.util.Date;

public class UpdatePackageTask implements Serializable{

    // 购买代码
    private String purchaseCode;

    // 购买ID
    private Integer purchaseId;

    // 任务类型
    private Integer jobType;

    // 任务状态
    private Integer jobStatus;

    // 任务用户
    private Integer jobUser;

    // 任务创建时间
    private Date jobCreateTime;

    // CD项ID
    private Integer cdItemId;

    // 计数值
    private Integer countValue;

    // 完成值
    private Integer finishValue;

    // 完成时间
    private Date finishTime;

    // 任务创建用户
    private Integer jobCreateUser;

	public String getPurchaseCode() {
		return purchaseCode;
	}

	public void setPurchaseCode(String purchaseCode) {
		this.purchaseCode = purchaseCode;
	}

	public Integer getPurchaseId() {
		return purchaseId;
	}

	public void setPurchaseId(Integer purchaseId) {
		this.purchaseId = purchaseId;
	}

	public Integer getJobType() {
		return jobType;
	}

	public void setJobType(Integer jobType) {
		this.jobType = jobType;
	}

	public Integer getJobStatus() {
		return jobStatus;
	}

	public void setJobStatus(Integer jobStatus) {
		this.jobStatus = jobStatus;
	}

	public Integer getJobUser() {
		return jobUser;
	}

	public void setJobUser(Integer jobUser) {
		this.jobUser = jobUser;
	}

	public Date getJobCreateTime() {
		return jobCreateTime;
	}

	public void setJobCreateTime(Date jobCreateTime) {
		this.jobCreateTime = jobCreateTime;
	}

	public Integer getCdItemId() {
		return cdItemId;
	}

	public void setCdItemId(Integer cdItemId) {
		this.cdItemId = cdItemId;
	}

	public Integer getCountValue() {
		return countValue;
	}

	public void setCountValue(Integer countValue) {
		this.countValue = countValue;
	}

	public Integer getFinishValue() {
		return finishValue;
	}

	public void setFinishValue(Integer finishValue) {
		this.finishValue = finishValue;
	}

	public Date getFinishTime() {
		return finishTime;
	}

	public void setFinishTime(Date finishTime) {
		this.finishTime = finishTime;
	}

	public Integer getJobCreateUser() {
		return jobCreateUser;
	}

	public void setJobCreateUser(Integer jobCreateUser) {
		this.jobCreateUser = jobCreateUser;
	}
    
    
}
